Subject: Re: About cygwin license
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 11 Dec 2003 11:53:23 -0500

On Thu, Dec 11, 2003 at 08:44:51AM +0000, Armo Super wrote:
>Hello
>
>What do you think about next situation?
>
>I have made an software, that I'm going to sell.
>My software uses PostgreSql database system, witch is
>distributed under BSD license.
>If I want to get PostgreSql run in Windows
>environment, I need Cygwin.
>
>My software  -(direct use)-> JDBC -(socket)->
>PostgreSql -(direct?)-> Cygwin
>
>And now, is there any resctrictions towards my
>software from GPL, becouse my software is not using
>Cygwin.

Others have answered this question but I haven't seen one observation:
If you are distributing cygwin1.dll or any of its utilities, you need
to adhere to the GPL.  You need to distribute source code for these
in compliance with the GPL.

cgf

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/